package org.gyun.listener;

import javax.servlet.ServletContext;
import javax.servlet.http.HttpSessionEvent;
import javax.servlet.http.HttpSessionListener;

/**
 * 
 * @ClassNameUserListener.java
 * @Descriptionͳ
 * @AuthorDongGaoYun
 * @URL www.gyun.org
 * @EmailDongGaoYun@qq.com
 * @QQ1050968899
 * @WeiXinQingYunJiao
 * @Date2019-8-14 11:03:51
 * @Version1.0
 */
public class UserListener implements HttpSessionListener {
	// һapplicationݣȻ󱣴+ȡ
	@Override
	public void sessionCreated(HttpSessionEvent se) {
		// ȡһServletContext
		ServletContext sc= se.getSession().getServletContext();
		Integer count = (Integer) sc.getAttribute("counts");
		if (count == null) {
			count = 1;
		} else {
			count++;
		}
		sc.setAttribute("counts", count);
		System.out.println("UserListener------sessionCreated-----------------------------------------");
		
	}

	// һapplicationݣȻ󱣴-ȡ
	@Override
	public void sessionDestroyed(HttpSessionEvent se) {
		// ȡһServletContext
				ServletContext sc = se.getSession().getServletContext();
				Integer count = (Integer) sc.getAttribute("counts");
				if (count == null) {
					count =0;
				} else {
					count--;
				}
				sc.setAttribute("counts", count);
				
				System.out.println("UserListener------sessionDestroyed-----------------------------------------");

	}

}
